curl --request GET \
--url https://api.glass.fm/v2/action/glasscore/featureset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glass.fm/v2/action/glasscore/featureset"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glass.fm/v2/action/glasscore/featureset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glass.fm/v2/action/glasscore/featureset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glass.fm/v2/action/glasscore/featureset"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glass.fm/v2/action/glasscore/featureset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glass.fm/v2/action/glasscore/featureset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"c_attributeField": "<string>",
"default~FeatureId": 123,
"descrip": "<string>",
"feature": [
{
"attributeValue": "<string>",
"descrip": "<string>",
"FeatureSetId": 123,
"fee": 123,
"id": 123,
"isAddProduct": true,
"isSwapProduct": true,
"name": "<string>",
"SpecialFeatureId": 123,
"swapAdd~ProductId": 123
}
],
"FeatureSetTypeId": 123,
"GlassUtility~EntityId": 123,
"id": 123,
"isInfo": true,
"isPerson": true,
"name": "<string>"
}List FeatureSet
Retrieve a list of FeatureSets
curl --request GET \
--url https://api.glass.fm/v2/action/glasscore/featureset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glass.fm/v2/action/glasscore/featureset"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glass.fm/v2/action/glasscore/featureset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glass.fm/v2/action/glasscore/featureset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glass.fm/v2/action/glasscore/featureset"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glass.fm/v2/action/glasscore/featureset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glass.fm/v2/action/glasscore/featureset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"c_attributeField": "<string>",
"default~FeatureId": 123,
"descrip": "<string>",
"feature": [
{
"attributeValue": "<string>",
"descrip": "<string>",
"FeatureSetId": 123,
"fee": 123,
"id": 123,
"isAddProduct": true,
"isSwapProduct": true,
"name": "<string>",
"SpecialFeatureId": 123,
"swapAdd~ProductId": 123
}
],
"FeatureSetTypeId": 123,
"GlassUtility~EntityId": 123,
"id": 123,
"isInfo": true,
"isPerson": true,
"name": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of specific fields to return/append in the response. See isAdditionalData for more details.
"id,nameFirst,nameLast"
Set to true to merge requested fields with default response, or false/omit to return only requested fields plus ID.
true
Response
A list of FeatureSets
Stores the characteristics or properties associated with a specific feature in the FeatureSet.
Represents the unique identifier for the default feature within a set of features.
Description of record.
Stores the specific characteristics or properties of an item in the FeatureSet.
Show child attributes
Show child attributes
Identifies the type of feature set in the database.
Represents the unique identifier for a specific utility entity within the glass feature set.
Unique identifier.
Indicates whether the feature set contains informational data or not.
Indicates whether the feature set represents an individual person or not.
Name of featureSet.

